.cta-button,
.c-cta-button {
  position: relative;
  display: inline-flex;
  align-items: center;
  gap: 1.2rem;
  background-color: var(--color-white);
  color: var(--color-primary);
  border: 0.2rem solid var(--color-primary);
  padding: 1.5rem 3.8rem 1.7rem;
  border-radius: 5rem;
  text-decoration: none;
  font-weight: 700;
  font-size: 1.6rem;
  transition: all 0.3s ease;
  overflow: hidden;
}

.cta-button::before,
.c-cta-button::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    transparent,
    var(--color-primary),
    transparent
  );
  transition: left 0.3s ease;
  z-index: 1;
}

.cta-button:hover::before,
.c-cta-button:hover::before {
  left: 100%;
}

.cta-button:hover,
.c-cta-button:hover {
  background-color: var(--color-primary);
  color: var(--color-white);
  border: 0.2rem solid var(--color-white);
}

.cta-button__arrow,
.c-cta-button__arrow {
  position: relative;
  top: 0.1rem;
  display: inline-block;
  width: 2rem;
  height: 2rem;
  background-color: var(--color-primary);
  border-radius: 50%;
  transform: rotate(-90deg);
}

.cta-button__arrow::before,
.cta-button__arrow::after,
.c-cta-button__arrow::before,
.c-cta-button__arrow::after {
  content: "";
  position: absolute;
  background-color: var(--color-white);
  width: 0.15rem;
  height: 0.7rem;
  top: 48%;
  left: 50%;
  transform-origin: bottom center;
}

.cta-button__arrow::before,
.c-cta-button__arrow::before {
  transform: translateX(-50%) translateY(-50%) rotate(-45deg);
}

.cta-button__arrow::after,
.c-cta-button__arrow::after {
  transform: translateX(-50%) translateY(-50%) rotate(45deg);
}

.cta-button:hover .cta-button__arrow::before,
.c-cta-button:hover .c-cta-button__arrow::before {
  transform: translateX(-50%) translateY(-25%) rotate(-45deg);
}

.cta-button:hover .cta-button__arrow::after,
.c-cta-button:hover .c-cta-button__arrow::after {
  transform: translateX(-50%) translateY(-25%) rotate(45deg);
}

@media (max-width: 768px) {
  .cta-button,
  .c-cta-button {
    padding: 1.6rem 3.8rem;
  }

  .cta-button__arrow::before,
  .cta-button__arrow::after,
  .c-cta-button__arrow::before,
  .c-cta-button__arrow::after {
    width: 0.12rem;
    height: 0.6rem;
    top: 50%;
  }
}
